<?php
namespace Incoviba;

use \Model;

class AgenteTipo extends Model {
  public static $_table = 'agente_tipo';

  protected $proyecto_agentes;
  public function proyecto_agentes() {
    if ($this->proyecto_agentes === null) {
      $this->proyecto_agentes = $this->has_many(ProyectoAgente::class, 'agente')->find_many();
    }
    return $this->proyecto_agentes;
  }
  protected $agente_obj;
  public function agente() {
    if ($this->agente_obj === null) {
      $this->agente_obj = $this->belongs_to(Agente::class, 'agente')->find_one();
    }
    return $this->agente_obj;
  }
  protected $tipo_obj;
  public function tipo() {
    if ($this->tipo_obj === null) {
      $this->tipo_obj = $this->belongs_to(TipoAgente::class, 'tipo')->find_one();
    }
    return $this->tipo_obj;
  }
}
